---
title: llarp::ConnectConfig

---

# llarp::ConnectConfig





## Public Functions

|                | Name           |
| -------------- | -------------- |
| void | **[defineConfigOptions](Classes/structllarp_1_1ConnectConfig.md#function-defineconfigoptions)**([ConfigDefinition](Classes/structllarp_1_1ConfigDefinition.md) & conf, const [ConfigGenParameters](Classes/structllarp_1_1ConfigGenParameters.md) & params) |

## Public Attributes

|                | Name           |
| -------------- | -------------- |
| std::vector< fs::path > | **[routers](Classes/structllarp_1_1ConnectConfig.md#variable-routers)**  |

## Public Functions Documentation

### function defineConfigOptions

```cpp
void defineConfigOptions(
    ConfigDefinition & conf,
    const ConfigGenParameters & params
)
```


## Public Attributes Documentation

### variable routers

```cpp
std::vector< fs::path > routers;
```


-------------------------------

Updated on 2023-01-20 at 18:12:18 +0000